/*
 * Class NATIVE_ARRAY [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_716 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_716 [] = {0xFF01,237,715,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_716 [] = {0xFF01,715,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_716 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_716 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_716 [] = {0xFF01,715,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_716 [] = {0xFF01,715,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_716 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_716 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_716 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_716 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_716 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_716 [] = {715,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_716 [] = {0xFF01,715,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_716 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_716[] = {
	{EIF_GENERIC(NULL), 56, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_716), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_716), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_716), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_716), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_716), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_716), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_716), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_716), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_716), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_716), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_716), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_716), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_716), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_716), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_716), -1, 0xFFFFFFFF},
};
void Init716(void)
{
	IDSC(desc_716, 0, 715);
	IDSC(desc_716 + 1, 1, 715);
	IDSC(desc_716 + 32, 291, 715);
}


#ifdef __cplusplus
}
#endif
